# ludel

utility function used with lufact

## Calling Sequence

    ludel(hand)

## Arguments

hand

  handle to sparse lu factors (output of lufact)

## Description

This function is used in conjunction with `lufact`. It clears the internal memory space used to store the result of `lufact`.

The sequence of commands `[p,r]=lufact(A);x=lusolve(p,b);ludel(p);` solves the sparse linear system `A*x = b` and clears `p`.

## Examples

    non_zeros=[1,2,3,4];
    rows_cols=[1,1;2,2;3,3;4,4];
    sp=sparse(rows_cols,non_zeros);
    [h,rk]=lufact(sp);
    x=lusolve(h,[1;1;1;1]);
    ludel(h)
    rk,sp*x

## See Also

- sparse
- lufact
- luget